### Property

# Clutter InputDevice:device-mode

since: 14

#### Declaration

    property device-mode: Clutter.InputMode [ read, write, construct-only ]

#### Description

No description available.

Type: | `ClutterInputMode`
Available since: | 14

Default value | CLUTTER_INPUT_MODE_FLOATING
Getter method | `clutter_input_device_get_device_mode()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes